tigase.monitor.tasks

## Class MemoryCheckerTask

- java.lang.Object
- - tigase.monitor.tasks.AbstractConfigurableTask
  - - tigase.monitor.tasks.AbstractConfigurableTimerTask
    - - tigase.monitor.tasks.MemoryCheckerTask

- All Implemented Interfaces:
    Initializable, UnregisterAware, ConfigurableTask, InfoTask, MonitorTask

      @Bean(name="memory-checker-task",
            parent=MonitorComponent.class,
            active=true)
      public class MemoryCheckerTask
      extends AbstractConfigurableTimerTask
      implements InfoTask, Initializable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `HEAP_MEMORY_MONITOR_EVENT_NAME`
    `static String` | `NONHEAP_MEMORY_MONITOR_EVENT_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemoryCheckerTask()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Form` | `getCurrentConfiguration()`
    `int` | `getMaxHeapMemUsagePercentThreshold()`
    `int` | `getMaxNonHeapMemUsagePercentThreshold()`
    `Form` | `getTaskInfo()`
    `void` | `initialize()` Method will be called, when bean will be created, configured and ready to use.
    `protected void` | `run()`
    `void` | `setMaxHeapMemUsagePercentThreshold(Integer maxHeapMemUsagePercentThreshold)`
    `void` | `setMaxNonHeapMemUsagePercentThreshold(Integer maxNonHeapMemUsagePercentThreshold)`
    `void` | `setNewConfiguration(Form form)`

    - ### Methods inherited from class tigase.monitor.tasks.AbstractConfigurableTimerTask

      `beforeUnregister, disable, enable, getPeriod, getTimerTaskService, setPeriod, setTimerTaskService`

    - ### Methods inherited from class tigase.monitor.tasks.AbstractConfigurableTask

      `isEnabled, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HEAP_MEMORY_MONITOR_EVENT_NAME

          public static final String HEAP_MEMORY_MONITOR_EVENT_NAME

      See Also:
        Constant Field Values

    - #### NONHEAP_MEMORY_MONITOR_EVENT_NAME

          public static final String NONHEAP_MEMORY_MONITOR_EVENT_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MemoryCheckerTask

          public MemoryCheckerTask()

  - ### Method Detail

    - #### getCurrentConfiguration

          public Form getCurrentConfiguration()

      Specified by:
        `getCurrentConfiguration` in interface `ConfigurableTask`
      Overrides:
        `getCurrentConfiguration` in class `AbstractConfigurableTimerTask`

    - #### getMaxHeapMemUsagePercentThreshold

          public int getMaxHeapMemUsagePercentThreshold()

    - #### setMaxHeapMemUsagePercentThreshold

          public void setMaxHeapMemUsagePercentThreshold(Integer maxHeapMemUsagePercentThreshold)

    - #### getMaxNonHeapMemUsagePercentThreshold

          public int getMaxNonHeapMemUsagePercentThreshold()

    - #### setMaxNonHeapMemUsagePercentThreshold

          public void setMaxNonHeapMemUsagePercentThreshold(Integer maxNonHeapMemUsagePercentThreshold)

    - #### getTaskInfo

          public Form getTaskInfo()

      Specified by:
        `getTaskInfo` in interface `InfoTask`

    - #### initialize

          public void initialize()

      Description copied from interface: `Initializable`
      Method will be called, when bean will be created, configured and ready to use.
      Specified by:
        `initialize` in interface `Initializable`
      Overrides:
        `initialize` in class `AbstractConfigurableTask`

    - #### setNewConfiguration

          public void setNewConfiguration(Form form)

      Specified by:
        `setNewConfiguration` in interface `ConfigurableTask`
      Overrides:
        `setNewConfiguration` in class `AbstractConfigurableTimerTask`

    - #### run

          protected void run()

      Specified by:
        `run` in class `AbstractConfigurableTimerTask`

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.